{
    "app-id": "page.codeberg.sesivany.Meshy",
    "runtime": "org.gnome.Platform",
    "runtime-version": "50",
    "sdk": "org.gnome.Sdk",
    "command": "meshy",
    "finish-args": [
        "--share=ipc",
        "--socket=fallback-x11",
        "--socket=wayland",
        "--system-talk-name=org.bluez",
        "--share=network",
        "--device=all",
        "--talk-name=org.freedesktop.Flatpak",
        "--env=GSK_RENDERER=gl"
    ],
    "cleanup": [
        "/include",
        "/lib/pkgconfig",
        "/lib/debug",
        "*.la",
        "*.a"
    ],
    "modules": [
        {
            "name": "zbar",
            "buildsystem": "autotools",
            "config-opts": [
                "--without-qt",
                "--without-gtk",
                "--without-java",
                "--without-imagemagick",
                "--without-dbus",
                "--without-npapi",
                "--without-xv",
                "--without-xshm",
                "--disable-video",
                "--disable-nls"
            ],
            "sources": [
                {
                    "type": "archive",
                    "url": "https://linuxtv.org/downloads/zbar/zbar-0.23.93.tar.bz2",
                    "sha256": "83be8f85fc7c288fd91f98d52fc55db7eedbddcf10a83d9221d7034636683fa0"
                }
            ]
        },
        {
            "name": "python-pyzbar",
            "buildsystem": "simple",
            "build-commands": [
                "pip3 install --no-index --find-links=. --prefix=/app pyzbar"
            ],
            "sources": [
                {
                    "type": "file",
                    "url": "https://files.pythonhosted.org/packages/6d/24/81ebe6a1c00760471a3028a23cbe0b94e5fa2926e5ba47adc895920887bc/pyzbar-0.1.9-py2.py3-none-any.whl",
                    "sha256": "4559628b8192feb25766d954b36a3753baaf5c97c03135aec7e4a026036b475d"
                }
            ]
        },
        {
            "name": "python-crypto-deps",
            "buildsystem": "simple",
            "build-commands": [
                "pip3 install --no-index --find-links=. --prefix=/app pycryptodome"
            ],
            "sources": [
                {
                    "type": "file",
                    "url": "https://files.pythonhosted.org/packages/5f/e9/a09476d436d0ff1402ac3867d933c61805ec2326c6ea557aeeac3825604e/pycryptodome-3.23.0-cp37-abi3-manylinux_2_17_x86_64.manylinux2014_x86_64.whl",
                    "sha256": "c8987bd3307a39bc03df5c8e0e3d8be0c4c3518b7f044b0f4c15d1aa78f52575",
                    "only-arches": ["x86_64"]
                },
                {
                    "type": "file",
                    "url": "https://files.pythonhosted.org/packages/50/52/adaf4c8c100a8c49d2bd058e5b551f73dfd8cb89eb4911e25a0c469b6b4e/pycryptodome-3.23.0-cp37-abi3-manylinux_2_17_aarch64.manylinux2014_aarch64.whl",
                    "sha256": "67bd81fcbe34f43ad9422ee8fd4843c8e7198dd88dd3d40e6de42ee65fbe1490",
                    "only-arches": ["aarch64"]
                }
            ]
        },
        {
            "name": "python-segno",
            "buildsystem": "simple",
            "build-commands": [
                "pip3 install --no-index --find-links=. --prefix=/app segno"
            ],
            "sources": [
                {
                    "type": "file",
                    "url": "https://files.pythonhosted.org/packages/d6/02/12c73fd423eb9577b97fc1924966b929eff7074ae6b2e15dd3d30cb9e4ae/segno-1.6.6-py3-none-any.whl",
                    "sha256": "28c7d081ed0cf935e0411293a465efd4d500704072cdb039778a2ab8736190c7"
                }
            ]
        },
        {
            "name": "python-pyserial",
            "buildsystem": "simple",
            "build-commands": [
                "pip3 install --no-index --find-links=. --prefix=/app pyserial"
            ],
            "sources": [
                {
                    "type": "file",
                    "url": "https://files.pythonhosted.org/packages/07/bc/587a445451b253b285629263eb51c2d8e9bcea4fc97826266d186f96f558/pyserial-3.5-py2.py3-none-any.whl",
                    "sha256": "c4451db6ba391ca6ca299fb3ec7bae67a5c55dde170964c7a14ceefec02f2cf0"
                }
            ]
        },
        {
            "name": "protobuf-c",
            "buildsystem": "autotools",
            "config-opts": [
                "--disable-protoc"
            ],
            "sources": [
                {
                    "type": "archive",
                    "url": "https://github.com/protobuf-c/protobuf-c/releases/download/v1.5.2/protobuf-c-1.5.2.tar.gz",
                    "sha256": "e2c86271873a79c92b58fef7ebf8de1aa0df4738347a8bd5d4e65a80a16d0d24"
                }
            ]
        },
        {
            "name": "libshumate",
            "buildsystem": "meson",
            "config-opts": [
                "-Dgtk_doc=false",
                "-Ddemos=false",
                "-Dvapi=false",
                "-Dsysprof=disabled"
            ],
            "sources": [
                {
                    "type": "archive",
                    "url": "https://download.gnome.org/sources/libshumate/1.6/libshumate-1.6.0.tar.xz",
                    "sha256": "66097ee05c3cc4dfbdc124dfc9b885085f5c6ba2f1b2e642d0475987f9222939"
                }
            ]
        },
        {
            "name": "meshy",
            "buildsystem": "meson",
            "sources": [
                {
                    "type": "dir",
                    "path": "."
                }
            ]
        }
    ]
}
